from django.contrib import admin
from colloscope.models import *


@admin.register(Lycee)
class LyceeAdmin(admin.ModelAdmin):
    list_display = ('uai', 'libelle', 'vacances')


admin.site.register(Classe)
admin.site.register(Periode)
admin.site.register(Matiere)
admin.site.register(Critere)
admin.site.register(Groupe)
admin.site.register(Etudiant)
admin.site.register(Appartenance)
admin.site.register(Colleur)

@admin.register(Creneau)
class CreneauAdmin(admin.ModelAdmin):
    list_display = ('matiere', 'colleur', "periode", 'view_jour', "heure", "duree")
    list_filter = ("matiere", "colleur", "periode")

    def view_jour(self, obj):
        jours = ["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"]
        return jours[obj.jour]

    view_jour.short_description = 'Jour'

admin.site.register(Rotation)
admin.site.register(Amendement)
admin.site.register(Profil)
admin.site.register(LienCalendrier)
